# $Revision: 1.17 $, $Date: 2004/05/06 17:57:00 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Net
%define		pnam	SMTP-Multipart
Summary:	Net::SMTP::Multpiart perl module
Summary(cs):	Modul Net::SMTP::Multipart pro Perl
Summary(da):	Perlmodul Net::SMTP::Multipart
Summary(de):	Net::SMTP::Multipart Perl Modul
Summary(es):	Mdulo de Perl Net::SMTP::Multipart
Summary(fr):	Module Perl Net::SMTP::Multipart
Summary(it):	Modulo di Perl Net::SMTP::Multipart
Summary(ja):	Net::SMTP::Multipart Perl ⥸塼
Summary(ko):	Net::SMTP::Multipart  
Summary(nb):	Perlmodul Net::SMTP::Multipart
Summary(pl):	Modu perla Net::SMTP::Multipart
Summary(pt_BR):	Mdulo Perl Net::SMTP::Multipart
Summary(pt):	Mdulo de Perl Net::SMTP::Multipart
Summary(ru):	  Perl Net::SMTP::Multipart
Summary(sv):	Net::SMTP::Multipart Perlmodul
Summary(uk):	  Perl Net::SMTP::Multipart
Summary(zh_CN):	Net::SMTP::Multipart Perl ģ
Name:		perl-Net-SMTP-Multipart
Version:	1.5
Release:	2
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	1ba9a4a9c2d96a0fff6de587b6d72bce
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRequires:	perl-devel >= 1:5.8.0
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This module uses the Net::SMTP and Mime::Base64 modules to compose and
send multipart mail messages. It uses the Net::SMTP methods, but
simplifies formatting of multipart messages using its internal methods
Header, Text, FileAttach and End.

%description -l pl
Ten modu uywa Net::SMTP i Mime::Base64 do komponowania i wysyania
wieloczciowych wiadomoci e-mail. Uywa metod Net::SMTP, ale
upraszcza komponowanie wieloczciowych wiadomoci przez udostpnianie
swoich wewntrznych metod: Header, Text, FileAttach i End.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%{perl_vendorlib}/Net/SMTP/Multipart.pm
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Net-SMTP-Multipart.spec,v $
Revision 1.17  2004/05/06 17:57:00  ankry
- fixed perl-devel BR

Revision 1.16  2004/04/26 23:02:37  ankry
- license fixes and unification

Revision 1.15  2004/04/22 20:42:11  ankry
- bconds added

Revision 1.14  2004/02/18 15:51:30  qboosh
- s/no/nb/ in Summary langs

Revision 1.13  2003/08/18 08:09:04  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.12  2003/05/28 13:00:54  malekith
- massive attack: source-md5

Revision 1.11  2003/05/25 06:24:50  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.10  2003/04/11 18:59:25  radek
- BR: perl-devel; do not BR: perl

Revision 1.9  2003/03/01 20:21:50  radek
- should be ready for perl-5.8.0; release++

Revision 1.8  2003/02/28 10:08:27  trojan
- massive attack: perl -pi -e "s/^#+\%\{/#\%\%\{/"

Revision 1.7  2003/02/25 00:41:02  radek
- use the __perl macro

Revision 1.6  2003/02/18 15:37:14  ankry
- massive attack: change CPAN URLs

Revision 1.5  2002/11/20 12:24:47  mis
- autoupdated to 1.5

Revision 1.4  2002/08/02 10:05:05  ankry
- %%{perl_sitelib}/Net/SMTP moved to perl
- release 3

Revision 1.3  2002/08/01 12:34:01  ankry
- added %%{perl_sitelib}/Net/SMTP dir
- cleaning, adapterized
- release 2

Revision 1.2  2002/07/25 23:59:08  radek
- added CVS Date field in the first line

Revision 1.1  2002/07/22 16:14:06  radek
- new, STBR
